﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;

namespace TreeView_XMLDataBinding
{
    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public class HeaderConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            GenericNode node = value as GenericNode;
            if (node != null)
            {
                if (node.Attributes != null && node.Attributes.Count() > 0)
                    return node.Attributes.FirstOrDefault().Value;
                else return node.Name;
            }
            else return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
